Package org.kie.api.marshalling

# Interface KieMarshallers

All Superinterfaces:
  `Comparable<KieService>`, `KieService`

public interface KieMarshallers extends KieService

This api is experimental and thus the classes and the interfaces returned are subject to change.

- ## Field Summary

  ### Fields inherited from interface org.kie.api.internal.utils.KieService

  `UNDEFINED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ObjectMarshallingStrategyAcceptor`
  `newClassFilterAcceptor(String[] patterns)`
  `ObjectMarshallingStrategy`
  `newIdentityMarshallingStrategy()`
  `ObjectMarshallingStrategy`
  `newIdentityMarshallingStrategy(ObjectMarshallingStrategyAcceptor acceptor)`
  `Marshaller`
  `newMarshaller(KieBase kbase)`
  The marshalling strategies for this method are undefined and thus they are derived from the ksession's or environment provided.
  `Marshaller`
  `newMarshaller(KieBase kbase, ObjectMarshallingStrategy[] strategies)`
  This will override the strategies specified in the ksession or environment.
  `ObjectMarshallingStrategy`
  `newSerializeMarshallingStrategy()`
  `ObjectMarshallingStrategy`
  `newSerializeMarshallingStrategy(ObjectMarshallingStrategyAcceptor acceptor)`

  ### Methods inherited from interface org.kie.api.internal.utils.KieService

  `compareTo, servicePriority, serviceTag`

- ## Method Details

  - ### newClassFilterAcceptor

    ObjectMarshallingStrategyAcceptor newClassFilterAcceptor(String[] patterns)

  - ### newIdentityMarshallingStrategy

    ObjectMarshallingStrategy newIdentityMarshallingStrategy()

  - ### newIdentityMarshallingStrategy

    ObjectMarshallingStrategy newIdentityMarshallingStrategy(ObjectMarshallingStrategyAcceptor acceptor)

  - ### newSerializeMarshallingStrategy

    ObjectMarshallingStrategy newSerializeMarshallingStrategy()

  - ### newSerializeMarshallingStrategy

    ObjectMarshallingStrategy newSerializeMarshallingStrategy(ObjectMarshallingStrategyAcceptor acceptor)

  - ### newMarshaller

    Marshaller newMarshaller(KieBase kbase)
    The marshalling strategies for this method are undefined and thus they are derived from the ksession's or environment provided.
    Parameters:
      `kbase` -
    Returns:
      marshaller created for the specified KieBase

  - ### newMarshaller

    Marshaller newMarshaller(KieBase kbase, ObjectMarshallingStrategy[] strategies)
    This will override the strategies specified in the ksession or environment.
    Parameters:
      `kbase` -
      `strategies` -
    Returns:
      marshaller created for the specified KieBase with the custom marshalling strategies